"""Module contains the State class."""

from dataclasses import dataclass


@dataclass
class State:
    state_name: str
    land_area_in_square_miles: float
    water_area_in_square_miles: float

    def calculate_total_area_in_square_miles(self):
        return self.land_area_in_square_miles + self.water_area_in_square_miles
